Skip to main content
POST
/
v2
/
verifications
/
{id}
/
cancel
Cancel a verification
curl --request POST \
  --url https://api-sandbox.argyle.com/v2/verifications/{id}/cancel \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
  "user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
  "created_at": "2023-03-09T16:22:06.081Z",
  "updated_at": "2023-03-09T16:22:06.081Z",
  "channel": "api",
  "status": {
    "state": "CANCELLED",
    "code": "cancelled_by_client",
    "errors": []
  },
  "report": {
    "id": null,
    "type": "doc-voi-mortgage",
    "file_url": null,
    "json_url": null
  },
  "employments": [
    {
      "employer": "Starbucks",
      "status": "active",
      "hire_date": "2015-08-28",
      "termination_date": null
    }
  ],
  "loan": {
    "number": "1234",
    "borrower_id": "ABC789",
    "application_id": "2121313",
    "officer_email": "[email protected]"
  },
  "billing": {
    "cost_center": "5"
  }
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

id
string<uuid>
required

ID of the verification to be cancelled.

Response

200 - application/json

Verification object.

id
string<uuid>

Unique ID of the verification.

user
string<uuid>

ID of the user associated with the verification.

created_at
string<date-time>

Timestamp (ISO 8601) when the verification was requested.

updated_at
string<date-time>

Timestamp (ISO 8601) when the verification object was last updated.

channel
string

Origin of the verification order.

status
object

Verification status information.

report
object

Report information.

employments
object[]

List of employments for the user.

loan
object

Optional loan details.

billing
object

Optional billing details.